Subject: bug#43882: 27.1; Gnus sometimes crashes emacs 27.1 during nnir search

From: Robert Pluim <[email-masked]>
Date: Mon, 12 Oct 2020 11:45:44 +0200

>>>>> On Mon, 12 Oct 2020 09:12:56 +0200, Mikael Svahnberg <[email-masked]> said:
    >> Do things improve if you increase your stack size using 'ulimit -s'?
    >> MacOS has what is by modern standards a fairly small default stack.
    >> 
    >> There are a couple of regexp-related fixes in master as well. Could
    >> you try that branch?
    >> 
    >> Robert

    Mikael> Hi,

    Mikael> The stack size was the default 8192 kB. I have -- reluctantly, but in
    Mikael> the interest of debugging -- set it to 65532 kB via ulimit and then
    Mikael> launched emacs from that shell.

Why reluctantly? 64M these days is nothing in terms of memory.

    Mikael> How can I verify from within Emacs what stack size it is running with?

You can't, but since you've launched emacs from that shell it will be
ok.

    Mikael> I will keep it like this for a couple of days and see if I get more
    Mikael> crashes. If I do, I will report and move on and upgrade to HEAD.

Thanks

Robert
--